import q = require('q');
export declare class Verifier {
    static create: (options: VerifierOptions) => Verifier;
    readonly options: VerifierOptions;
    private readonly __argMapping;
    constructor(options: VerifierOptions);
    verify(): q.Promise<string>;
}
declare const _default: (options: VerifierOptions) => Verifier;
export default _default;
export interface ConsumerVersionSelector {
    pacticipant?: string;
    tag?: string;
    version?: string;
    latest?: boolean;
    all?: boolean;
}
export interface VerifierOptions {
    providerBaseUrl: string;
    provider?: string;
    pactUrls?: string[];
    pactBrokerUrl?: string;
    providerStatesSetupUrl?: string;
    pactBrokerUsername?: string;
    pactBrokerPassword?: string;
    pactBrokerToken?: string;
    consumerVersionTag?: string | string[];
    providerVersionTag?: string | string[];
    consumerVersionSelector?: ConsumerVersionSelector[];
    customProviderHeaders?: string[];
    publishVerificationResult?: boolean;
    providerVersion?: string;
    enablePending?: boolean;
    timeout?: number;
    tags?: string[];
    verbose?: boolean;
    monkeypatch?: string;
    format?: 'json' | 'xml' | 'progress' | 'RspecJunitFormatter';
    out?: string;
}
